ConfigTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.tagshandler.ConfigTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.tagshandler
Class ConfigTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.tagshandler.ConfigTagsHandler

public class ConfigTagsHandler
extends XDocletTagSupport

Version:
  $Revision: 1.9 $
Author:
  Ara Abrahamian (ara_e@email.com)
xdoclet.taghandler
  namespace="Config"
created
  Oct 15, 2001

Field Summary

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`ConfigTagsHandler()`

Method Summary
`String` | `configParameterValue(Properties attributes)` Returns the values of a configuration parameter with the name paramName.
`void` | `forAllConfigParameters(String template, Properties attributes)` Evaluate the body for all configuration parameters with the name paramName.
`Object` | `getConfigParameter(String paramName)` Returns the value for the specified configuration parameter.
`static int` | `getCurrentConfigParamIndex()` Gets the CurrentConfigParamIndex attribute of the ConfigTagsHandler class
`protected boolean` | `ifConfigParamEquals_Impl(Properties attributes)` The implementation of ifConfigParamEquals and ifConfigParamEquals tags.
`void` | `ifConfigParamEquals(String template, Properties attributes)` Evaluate the body if the value of the configuration parameter equals value.
`protected boolean` | `ifConfigParamGreaterOrEquals_Impl(Properties attributes)` The implementation of ifConfigParamGreaterOrEquals and ifConfigParamNotGreaterOrEquals tags.
`void` | `ifConfigParamGreaterOrEquals(String template, Properties attributes)` Evaluate the body if the value of the configuration parameter is greater or equal to value.
`void` | `ifConfigParamNotEquals(String template, Properties attributes)` Evaluate the body if the value of the configuration parameter doesn't equal value.
`void` | `ifConfigParamNotGreaterOrEquals(String template, Properties attributes)` Evaluate the body if the value of the configuration parameter is not greater or equal to value.
`void` | `ifHasConfigParam(String template, Properties attributes)` Evaluates the body if config parameter specified is not null.

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigTagsHandler

    public ConfigTagsHandler()

Method Detail

### getCurrentConfigParamIndex

    public static int getCurrentConfigParamIndex()

  Gets the CurrentConfigParamIndex attribute of the ConfigTagsHandler class

  Returns:
    The CurrentConfigParamIndex value

### getConfigParameter

    public Object getConfigParameter(String paramName)
                              throws XDocletException

  Returns the value for the specified configuration parameter. Null if the config parameter not found.

  Parameters:
    `paramName` - Description of Parameter
  Returns:
    The ConfigParameter value
  Throws:
    `XDocletException` - Description of Exception
  To do:
    When searching for param part of a subtask.element.param config param we rely on bare reflection mechanism, so if we had getMyParam and we specified myparam for example (case mismatch) it fails (in Class.getMethod). We should provide a case-insensitive solution.

### ifHasConfigParam

    public void ifHasConfigParam(String template,
                                 Properties attributes)
                          throws XDocletException

  Evaluates the body if config parameter specified is not null.

  Parameters:
    `template` - The body of the block tag
    `attributes` - The attributes of the template tag
  Throws:
    `XDocletException` - Description of Exception
  doc.tag
    type="block"
  doc.param
    name="paramName" optional="false" description="The config parameter name, it's a parameter settable from within build file."

### configParameterValue

    public String configParameterValue(Properties attributes)
                                throws XDocletException

  Returns the values of a configuration parameter with the name paramName.

  Parameters:
    `attributes` - The attributes of the template tag
  Returns:
    Description of the Returned Value
  Throws:
    `XDocletException` - Description of Exception
  doc.tag
    type="content"
  doc.param
    name="paramName" optional="false" description="The config parameter name, it's a parameter settable from within build file."

### forAllConfigParameters

    public void forAllConfigParameters(String template,
                                       Properties attributes)
                                throws XDocletException

  Evaluate the body for all configuration parameters with the name paramName. It's basically used for java.util.ArrayList-based parameter types, and the body is evaluated for all items of the ArrayList.

  Parameters:
    `template` - The body of the block tag
    `attributes` - The attributes of the template tag
  Throws:
    `XDocletException` - Description of Exception
  doc.tag
    type="block"
  doc.param
    name="paramName" optional="false" description="The config parameter name, it's a parameter settable from within build file."

### ifConfigParamGreaterOrEquals

    public void ifConfigParamGreaterOrEquals(String template,
                                             Properties attributes)
                                      throws XDocletException

  Evaluate the body if the value of the configuration parameter is greater or equal to value.

  Parameters:
    `template` - The body of the block tag
    `attributes` - The attributes of the template tag
  Throws:
    `XDocletException` - Description of Exception
  doc.tag
    type="block"
  doc.param
    name="paramName" optional="false" description="The config parameter name, it's a parameter settable from within build file.", name="value" optional="false" description="The desired value."

### ifConfigParamNotGreaterOrEquals

    public void ifConfigParamNotGreaterOrEquals(String template,
                                                Properties attributes)
                                         throws XDocletException

  Evaluate the body if the value of the configuration parameter is not greater or equal to value.

  Parameters:
    `template` - The body of the block tag
    `attributes` - The attributes of the template tag
  Throws:
    `XDocletException` - Description of Exception
  doc.tag
    type="block"
  doc.param
    name="paramName" optional="false" description="The config parameter name, it's a parameter settable from within build file.", name="value" optional="false" description="The desired value."

### ifConfigParamEquals

    public void ifConfigParamEquals(String template,
                                    Properties attributes)
                             throws XDocletException

  Evaluate the body if the value of the configuration parameter equals value.

  Parameters:
    `template` - The body of the block tag
    `attributes` - The attributes of the template tag
  Throws:
    `XDocletException` - Description of Exception
  doc.tag
    type="block"
  doc.param
    name="paramName" optional="false" description="The config parameter name, it's a parameter settable from within build file.", name="value" optional="false" description="The desired value."

### ifConfigParamNotEquals

    public void ifConfigParamNotEquals(String template,
                                       Properties attributes)
                                throws XDocletException

  Evaluate the body if the value of the configuration parameter doesn't equal value.

  Parameters:
    `template` - The body of the block tag
    `attributes` - The attributes of the template tag
  Throws:
    `XDocletException` - Description of Exception
  doc.tag
    type="block"
  doc.param
    name="paramName" optional="false" description="The config parameter name, it's a parameter settable from within build file.", name="value" optional="false" description="The desired value."

### ifConfigParamGreaterOrEquals_Impl

    protected boolean ifConfigParamGreaterOrEquals_Impl(Properties attributes)
                                                 throws XDocletException

  The implementation of ifConfigParamGreaterOrEquals and ifConfigParamNotGreaterOrEquals tags. Currently the value can only be of a float type like "2.0".

  Parameters:
    `attributes` - The attributes of the template tag
  Returns:
    Description of the Returned Value
  Throws:
    `XDocletException` - Description of Exception
  See Also:
    `ifConfigParamGreaterOrEquals(java.lang.String,java.util.Properties)`, `ifConfigParamNotGreaterOrEquals(java.lang.String,java.util.Properties)`

### ifConfigParamEquals_Impl

    protected boolean ifConfigParamEquals_Impl(Properties attributes)
                                        throws XDocletException

  The implementation of ifConfigParamEquals and ifConfigParamEquals tags. Currently the value can only be of a float type like "2.0".

  Parameters:
    `attributes` - The attributes of the template tag
  Returns:
    Description of the Returned Value
  Throws:
    `XDocletException` - Description of Exception
  See Also:
    `ifConfigParamEquals(java.lang.String,java.util.Properties)`, `ifConfigParamNotEquals(java.lang.String,java.util.Properties)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD